V1 APIConnections
List merged floor plans
Inventory combined from the enabled merged parent and child properties.
GET
/api/v1/connection/{connection}/floor-plansInventory combined from the enabled merged parent and child properties.
Path Parameters
connection*string
Connection UUID.
Format
uuidQuery Parameters
group?string
Group UUID. Matching includes descendants of the selected group.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/connection/497f6eca-6276-4993-bfeb-53cbbbba6f08/floor-plans"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "floorPlanName": "string", "floorPlanCode": "string", "floorPlanType": "string", "floorPlanTypeName": "string", "floorPlanDescription": "string", "floorPlanBedrooms": 0, "floorPlanBathrooms": 0, "floorPlanInteriorSquareFeet": 0, "floorPlanInteriorSquareFeetMax": 0, "floorPlanRentMin": 0, "floorPlanRentMax": 0, "floorPlanBaseRentMin": 0, "floorPlanBaseRentMax": 0, "floorPlanTmlpMin": 0, "floorPlanTmlpMax": 0, "floorPlanFees": [ { "fee_id": "6a6e29c0-8cb8-4e1c-8beb-6b16e737bdd5", "code": "string", "name": "string", "description": "string", "class": "string", "calculated_amount": 0, "is_variable": true, "currency": "USD", "frequency": "string", "requirement": "string" } ], "floorPlanFeeTotal": 0, "floorPlanFeeTotalMax": 0, "floorPlanEarliestAvailableDate": "2019-08-24T14:15:22Z", "floorPlanHasSpecials": true, "floorPlanPmsId": "string", "floorPlanSortOrder": 0, "floorPlanImage": "http://example.com", "floorPlanImageFull": "http://example.com", "floorPlanShoeboxImage": "http://example.com", "floorPlanShoeboxFull": "http://example.com", "floorPlanLocationImage": "string", "floorPlanLocationFull": "string", "floorPlanPdf": "http://example.com", "floorPlanMediaUrl": "http://example.com", "floorPlanPhotos": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thumb_url": "http://example.com", "full_url": "http://example.com", "caption": "string", "alt_text": "string", "tags": [ "string" ], "tags_string": "string", "reference_url": "http://example.com", "title": "string" } ], "floorPlanVirtualTours": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "string", "url": "http://example.com", "title": "string", "settings": {}, "image": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thumb_url": "http://example.com", "full_url": "http://example.com", "caption": "string", "alt_text": "string", "tags": [ "string" ], "tags_string": "string", "reference_url": "http://example.com", "title": "string" }, "tags": [ "string" ], "tags_string": "string" } ], "floorPlanVideos": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "string", "url": "http://example.com", "title": "string", "settings": {}, "image": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thumb_url": "http://example.com", "full_url": "http://example.com", "caption": "string", "alt_text": "string", "tags": [ "string" ], "tags_string": "string", "reference_url": "http://example.com", "title": "string" }, "tags": [ "string" ], "tags_string": "string" } ], "unitsAvailable": true, "numberUnitsAvailable": 0, "unitsComingSoon": true, "numberUnitsComingSoon": 0, "unitsAvailableOrComingSoon": true, "numberUnitsAvailableOrComingSoon": 0, "featured": true, "floorPlanTags": [ "string" ], "floorPlanTagsString": "string", "buildingName": "string", "buildingType": "string", "buildingCode": "string", "buildingId": "string", "buildingImage": "string", "buildingImageFull": "string", "buildings": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "buildingNumber": "string", "buildingCode": "string", "buildingName": "string", "buildingType": "string" } ], "incentiveIds": [ "string" ], "listIds": [ "string" ], "groups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "slug": "string", "set": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "objectType": "property" } } ], "property": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "key": "string", "slug": "string" }, "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb", "permalink": "http://example.com" } ]}